
Foreman - Bug #30377

Assigning location and organization to a role causes a malfunction to the filter function "facts"

07/13/2020 12:56 PM - Shira Maximov

Status: New   

Priority: Low   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1825268 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1825268

Description of problem:

Assigning location and organization to a role causes a malfunction to the filter function "facts".

Version-Release number of selected component (if applicable):

Satellite 6.7.0 and 6.5.3

How reproducible:

Steps to Reproduce:

1) go to "Administration" -> "Roles" -> create a clone of the role "Ansible Tower Inventory Reader" (role allows user to view facts)

2) assign a location AND an organization to this role

3) create a user named "test1"

4) assign cloned role from step 2 to user "test1"

5) login as user "test1"

6) go to "Monitor" -> "Facts"

Actual results:

no data on facts is displayed

Expected results:

list of facts should show up

Additional info:

Removing location or organization (or both) from role causes that facts show up.

Related issues:

Has duplicate Foreman - Bug #33656: Cloned viewer role cannot view facts Closed

History

#1 - 07/22/2020 09:56 AM - Tomer Brisker

- Category set to Users, Roles and Permissions

#2 - 10/08/2021 09:11 AM - Dominik Matoulek

- Has duplicate Bug #33656: Cloned viewer role cannot view facts added

#3 - 10/08/2021 09:13 AM - Dominik Matoulek

05/10/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1825268


Closing this because this issue has duplicate #33656 that solved this problem.
